Get a merchant - WalletConnect Pay Docs
Get a merchant
cURL
curl --request GET \
--url https://api.pay.walletconnect.com/v1/merchants/{merchantId} \
--header 'Api-Key: <api-key>'
Python
import requests
url = "https://api.pay.walletconnect.com/v1/merchants/{merchantId}"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch API)
const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.pay.walletconnect.com/v1/merchants/{merchantId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Example
{
"merchant": {
"id": "mrch_7kBz2qR9xPvLmN4Yw",
"name": "Acme Store",
"email": "billing@acme.store",
"status": "active",
"iconUrl": "https://imagedelivery.net/example/acme-icon.png",
"createdAt": "2025-06-15T10:30:00.000Z",
"settlements": {
"crypto": [\
{\
"id": "crypto_Xk7nWp8XmQj2YrTv6",\
"asset": "eip155:8453/erc20:0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",\
"destination": "eip155:8453:0x1234567890abcdef1234567890abcdef12345678"\
}\
],
"fiat": [\
{\
"id": "fiat_Bk4nWp8XmQj2YrTv6",\
"status": "active",\
"bankType": "ACH"\
}\
]
}
}
}
Authorizations
| Parameter |
Type |
Location |
Required |
| Api-Key |
string |
header |
required |
Path Parameters
| Parameter |
Type |
Required |
| merchantId |
string |
required |
Response
- 200
- application/json
- Merchant details